<?php
$messages = array();
$error    = FALSE;
if (isset($custom_action)) {
    $action = $custom_action;
} else {
    $action = $_REQUEST["action"];
}

switch ($action) {

    case 'edit_calendar':
        edit_calendar();
        break;
    case 'delete_calendar':
        delete_calendar();
        break;
    case 'new_calendar':
        require_once("edit_calendar_cardform.inc.php");
        break;
    case 'new_contact_calendar':
        require_once("edit_calendar_contact_cardform.inc.php");
        break; 
    case 'save_calendar':
        save_calendar();
        break;

    default:
        require_once("edit_calendar_listform.inc.php");
        break;
}

function edit_calendar( $_id = "", $messages = array() ) {
    if ((int)$_id > 0) {
        $input_id = $_id;
    } else {
        $input_id = $_REQUEST["input_id"];
    }

    if ($input_id <> '') {
        $query  = "SELECT * FROM calendar_header WHERE id = '" . $input_id . "' LIMIT 1";
        $result = @mysqli_query($GLOBALS['mysql_con'], $query);
        if (@mysqli_num_rows($result) == 1) {
            $input_calendar = @mysqli_fetch_array($result);
            if(isset($_REQUEST['input_contactform_id'])){
                require_once("edit_calendar_contact_cardform.inc.php");
            }else{
                require_once("edit_calendar_cardform.inc.php");
            }
            
        }
    } else {
        $input_calendar = array();
        require_once("edit_calendar_cardform.inc.php");
    }
}

function delete_calendar() {
    if ($_REQUEST["input_id"] <> '') {
        $query = "DELETE FROM calendar_header WHERE id = '" . $_REQUEST["input_id"] . "' LIMIT 1";
        @mysqli_query($GLOBALS['mysql_con'], $query);

        // zuordnung von Seiten loeschen
        $query = "DELETE FROM main_page_link WHERE main_sitepart_id = 1 AND main_sitepart_header_id = '" . $_REQUEST["input_id"]."'";
        @mysqli_query($GLOBALS['mysql_con'], $query);

        
        $query = "DELETE FROM multi_contactform_link WHERE main_sitepart_id = 1 AND main_sitepart_header_id = '" . $_REQUEST["input_id"]."'";
        
        @mysqli_query($GLOBALS['mysql_con'], $query);
        update_sitepart_changes(1, $_REQUEST["input_id"], TRUE);
    }
    require_once("edit_calendar_listform.inc.php");
}

function save_calendar() {

    $translation = \DynCom\mysyde\common\classes\Registry::get("translation");
    $input_id    = "";
    $input_all_languages = ($_POST["input_all_languages"] == "on") ? 1 : 0;
    
    if (($_REQUEST["input_description"] == '')) {
        $messages[] = "<div class=\"errorbox\">" . $translation->get("error_description") . "</div>\n";
        $error      = TRUE;
    }


    if (!$error) {
        @mysqli_query($GLOBALS['mysql_con'], $query);
        if ($inserted == TRUE) {
            $input_id   = mysqli_insert_id($GLOBALS['mysql_con']);
            $messages[] = '<div class="successbox">' . $translation->get("calendar_msg_success1") . '</div>';
        } else {
            $messages[] = '<div class="successbox">' . $translation->get("calendar_msg_success2") . '</div>';
        }

        update_sitepart_changes(1, $input_id);

        if (is_page_edit()) {
            header('EDIT_ERROR: 1'); // verhindern, dass overlay geschlossen wird
            if (line_already_exists($_REQUEST["input_page_id"], 1, $input_id) === FALSE) {
                assoc_sitepart(1, $input_id, FALSE);
            }

            if ($_REQUEST['force_close'] == 1) {
                edit_content_page();
                return;
            }

            edit_calendar($input_id, $messages);

        } else if(is_contact_edit()){
            
            header('EDIT_ERROR: 1'); // verhindern, dass overlay geschlossen wird
            if (line_already_exists($_REQUEST["input_section_id"], 1, $input_id) === FALSE) {
                
                assoc_sitepart(1, $input_id, FALSE);
            }

            if ($_REQUEST['force_close'] == 1) {
                edit_contactform();
                return;
            }

            edit_calendar($input_id, $messages);
        }
         elseif (is_component_edit()) {
            header('EDIT_ERROR: 1'); // verhindern, dass overlay geschlossen wird
            if (line_already_exists($_REQUEST["input_component_id"], 1, $input_id) === FALSE) {
                assoc_sitepart(1, $input_id, FALSE);
            }

            if ($_REQUEST['force_close'] == 1) {
                edit_component("", $messages);
                return;
            }

            edit_calendar($input_id, $messages);
        } else {
            edit_calendar($input_id, $messages);
        }

    } else {
        header('EDIT_ERROR: 1');
        $input_calendar["description"] = $_REQUEST["input_description"];
        $input_calendar["type"]        = 0;
        $input_calendar["content"]     = $_REQUEST["calendar"];
        $input_calendar["id"]          = $_REQUEST["input_id"];
        $input_calendar["all_languages"]          = $input_all_languages;
        require_once("edit_calendar_cardform.inc.php");
    }
}